WP hooks navigation: Home/browse • Actions index • Filters index
To save our bandwidth, we show only a snippet of code around each occurence of the hook. View complete file in SVN (without highlighting).
The best way to understand what a hook does is to look at where it occurs in the source code.
do_action( "hook_name" )apply_filters( "hook_name", "what_to_filter" ).Remember, this hook may occur in more than one file. Moreover, the hook's context may change from version to version.
| Line | Code |
|---|---|
| 429 | * |
| 430 | * Allows modification of the revision right before it is returned. |
| 431 | * |
| 432 | * @since 5.0.0 |
| 433 | * |
| 434 | * @param WP_REST_Response $response The response object. |
| 435 | * @param WP_Post $post The original revision object. |
| 436 | * @param WP_REST_Request $request Request used to generate the response. |
| 437 | */ |
| 438 | return apply_filters( 'rest_prepare_autosave', $response, $post, $request ); |
| 439 | } |
| 440 | |
| 441 | /** |
| 442 | * Retrieves the query params for the autosaves collection. |
| 443 | * |
| 444 | * @since 5.0.0 |
| 445 | * |
| 446 | * @return array Collection parameters. |
| 447 | */ |